Subject: Re: Perl warning in git-svn (git v1.5.3-rc7-16-ge340d7d)

From: Junio C Hamano <[email-masked]>
Date: Fri, 31 Aug 2007 07:52:08 -0700

"Robert Newson" <[email-masked]> writes:

> The latest head of git gives me this when doing most operations, this
> also happens with the rc7 experimental Debian package. It's annoying
> because it prints this line hundreds of times for each call to 'log',
> for example
>
> "Use of uninitialized value in string eq at blah/git/git-svn line 826."
>
> and this fixes it;

Curious.  I wonder how can it trigger.

Presimably, that while (<$fh>) loop is reading from git-log, and
the first line would look like "commit [0-9a-f]{40}" and will
set $hash, do "next".  Which means the variable should have been
initialized by the time the part that complains about string eq
(which I think is "if ($c && $c eq $hash)" comparison) is
reached.